<button (click)="ejectDisk()">Eject</button>
<select [(ngModel)]="selectedCarousel">
    <option *ngFor="let discCarousel of discCarousels" [ngValue]="discCarousel">{{discCarousel.uniqueID}}</option>
</select>
<input *ngIf="selectedCarousel" disabled="true" [value]="slot">
<input *ngIf="selectedCarousel" type="range" min="1" [max]="selectedCarousel.capacity" [(ngModel)]="slot">